# sphinx-click

`sphinx-click` is a Sphinx plugin that allows you to automatically extract documentation from a click-based application and include it in your docs.

- Installation
- Usage
  - `.. click::`
  - Cross-referencing
  - Mocking
  - Events
  - Example
  - Modifying `sys.path`
- Contribution
  - Support
  - Reporting Issues
  - Submitting Patches
  - Testing
- Changes
- Examples
  - Documenting commands
  - Documenting groups
  - Documenting command collections

See also

Module `click`

  This extension assumes you are using `click` to create your command line application.

Module `sphinxcontrib.autoprogram`

  An equivalent library for use with `argparse`.